/*
 * BldOpts.h - Build options.
 */

#pragma once

/*
 * Build options related to the .HSDB file format.
 */

//#define INCLUDE_HSDB_SUPPORT			// In HS3 this is set in the .sln file, so that it can be left unset for the public source distribution.
//#define CAN_CREATE_HSDB_FILES
//#define NEED_FLUSHFILEONCOMMIT		// FlushFileBuffers isn't a good API to call, ever, really.

/*
 * Build options related to testing compilation of the public data layer
 * source code.
 */

#ifndef _WIN32_WCE
//#define TEST_PUBLIC_DATA_LAYER
#endif

#ifdef TEST_PUBLIC_DATA_LAYER
#define OS_CRT
#define USE_DOS_PATH_PARSING
#endif

/*
 * Build options related to the UI layer for HS3 for Windows Mobile.
 */

//#define USE_PDBICONS
#define SHOW_ALPHA_VERSION

/*
 * Build options for various debugging aids that helped to troubleshoot issues
 * that have been reported in the past.
 */

//#define TROUBLESHOOT_DATABASESSCAN

